Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1355699 - [ALL_LANG] Unlocalized string on the mac address pool tab in data center > new page.
Summary: [ALL_LANG] Unlocalized string on the mac address pool tab in data center > ne...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2.4
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ovirt-4.1.2
: ---
Assignee: Alona Kaplan
QA Contact: Pavel Stehlik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-12 09:47 UTC by Bhushan Barve
Modified: 2017-04-05 07:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-05 07:52:20 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+


Attachments (Terms of Use)
mac address pool (deleted)
2016-07-12 09:47 UTC, Bhushan Barve
no flags Details
Reported issue partially fixed on rhevm 4.0.2.4-0.1 (deleted)
2016-08-05 09:19 UTC, Krishna Babu K
no flags Details
Translation available now (deleted)
2017-03-13 11:46 UTC, Krishna Babu K
no flags Details

Description Bhushan Barve 2016-07-12 09:47:50 UTC
Created attachment 1178821 [details]
mac address pool

Description of problem: MAC Address Pool tab label in New/Edit Datacenter as well as the same string on the tab are not localized.


Version-Release number of selected component (if applicable):
 Red Hat Enterprise Virtualization Manager バージョン: 4.0.2-0.2.rc1.el7ev 

How reproducible:
always

Steps to Reproduce:
1. login to admin portal with ja_JP locale
2. go to data center -> new
3. observe mac address pool tab.

Actual results:
The tab name and and drop-down is not translated.

Expected results:
all the strings should be translated.

Additional info:

Comment 1 sandeep shedmake 2016-07-13 09:35:06 UTC
$ grep -e "clusterPopupMacPoolLabel" ./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants*.properties 
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_de_DE.properties:clusterPopupMacPoolLabel=MAC-Adressen-Pool
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_es_ES.properties:clusterPopupMacPoolLabel=Grupo de direcciones MAC
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_fr_FR.properties:clusterPopupMacPoolLabel=Pool d'adresses MAC
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_ja_JP.properties:clusterPopupMacPoolLabel=MAC アドレスプール
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_ko_KR.properties:clusterPopupMacPoolLabel=MAC 주소 풀
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants.properties:clusterPopupMacPoolLabel=MAC Address Pool
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_pt_BR.properties:clusterPopupMacPoolLabel=Pool de Endereço MAC
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_zh_CN.properties:clusterPopupMacPoolLabel=MAC 地址池 
$
$ grep -e "clusterMacPoolTab" ./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants*.properties
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_de_DE.properties:clusterMacPoolTab=MAC-Adressen-Pool
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_es_ES.properties:clusterMacPoolTab=Grupo de direcciones MAC
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_fr_FR.properties:clusterMacPoolTab=Pool d'adresses MAC
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_ja_JP.properties:clusterMacPoolTab=MAC アドレスプール
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_ko_KR.properties:clusterMacPoolTab=MAC 주소 풀
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants.properties:clusterMacPoolTab=MAC Address Pool
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_pt_BR.properties:clusterMacPoolTab=Pool de Endereço MAC
./ovirt-master/frontend/webadmin/modules/webadmin/src/main/resources/org/ovirt/engine/ui/webadmin/ApplicationConstants_zh_CN.properties:clusterMacPoolTab=MAC 地址池
$


From above:
- 'clusterMacPoolTab=MAC Address Pool' is localized for ALL_LANG
- 'clusterPopupMacPoolLabel=MAC Address Pool' is localized for ALL_LANG

Thereby, have following queries:
- Are 100% translations pulled from Zanata ?
- Am i missing something ?


Thanks

Comment 2 Yuko Katabami 2016-07-13 09:39:33 UTC
Just making it clear that the strings are translated in Zanata but not localized in the UI.

I change the summary to avoid misunderstanding.

Comment 3 Krishna Babu K 2016-08-05 09:17:59 UTC
Verified on  Red Hat Virtualization Manager: 4.0.2.4-0.1.el7ev , issue is partially fixed. 'MAC Address Pool' label translation is present in UI but not the drop-down menu content.

Comment 4 Krishna Babu K 2016-08-05 09:19:46 UTC
Created attachment 1187803 [details]
Reported issue partially fixed on rhevm 4.0.2.4-0.1

Comment 5 Alona Kaplan 2017-02-26 07:33:25 UTC
Hi Krishna,
The content of the drop-down menu shouldn't be localized. It contains the names of the profiles as applied by the user (we don't localize names...).

Is there any other issue with the dialog?

Comment 6 Krishna Babu K 2017-03-13 11:45:32 UTC
Hi Alona,
Thanks! No other issue.

Comment 7 Krishna Babu K 2017-03-13 11:46:25 UTC
Created attachment 1262399 [details]
Translation available now

Comment 8 Dan Kenigsberg 2017-04-05 07:52:20 UTC
closing per comment 6


Note You need to log in before you can comment on or make changes to this bug.